# config_isiis.yml
# Config file for CFE ISIIS camera production
mounts:
  - name: "image"
    path: "/mnt/CFElab"
    host: "https://cortex.shore.mbari.org"
    nginx_root: "/CFElab"

  - name: "video"
    path: "/mnt/CFElab"
    host: "https://cortex.shore.mbari.org"
    nginx_root: "/CFElab"

plugins:
  - name: "extractor"
    module: "mbari_aidata.plugins.extractors.tap_cfe_media"
    function: "extract_media"

redis:
  host: "doris.shore.mbari.org"
  internal_host: "redis-isiis"
  port: 6382
  project: "902111-ISIIS"

vss:
  project: "902111-ISIIS"
  model: "/mnt/DeepSea-AI/models/CFE/cfe_isiis_dino_v7-20250916/"
  output_path: "/mnt/DeepSea-AI/data/CFE/processed/vss"

tator:
  project: "902111-ISIIS"
  host: "https://mantis.shore.mbari.org"
  url_load: "https://cortex.shore.mbari.org/tator-bulk/label/id"
  image:
    attributes:
      iso_datetime:
        type: datetime
      depth:
        type: float
  video:
    attributes:
      iso_datetime:
        type: datetime
      iso_start_datetime:
        type: datetime
      instrument:
        type: enum
  box:
    attributes:
      Label:
        type: string
      score:
        type: float
      cluster:
        type: string
      saliency:
        type: float
      area:
        type: int
      verified:
        type: bool
      delete:
        type: bool
      comment:
        type: string


ffmpeg_path: "/usr/bin/ffmpeg"
